Daemon (Hadoop 1.2.1 API)
Date: 2013-07-22

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.util
Class Daemon

    java.lang.Object
      java.lang.Thread
          org.apache.hadoop.util.Daemon

All Implemented Interfaces:
  Runnable

    public class Daemon

extends Thread

A thread that has called `Thread.setDaemon(boolean)` with true.

Nested Class Summary

Nested classes/interfaces inherited from class java.lang.Thread
`Thread.State, Thread.UncaughtExceptionHandler`

Field Summary

Fields inherited from class java.lang.Thread
`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

Constructor Summary
`Daemon()` Construct a daemon thread.
`Daemon(Runnable runnable)` Construct a daemon thread.
`Daemon(ThreadGroup group, Runnable runnable)` Construct a daemon thread to be part of a specified thread group.

Method Summary
`Runnable` | `getRunnable()`

Methods inherited from class java.lang.Thread
`activeCount, checkAccess, clone, countStackFrames, currentThread, destroy, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, run, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, start, stop, stop, suspend, toString, yield`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Daemon

    public Daemon()

  Construct a daemon thread.

### Daemon

    public Daemon(Runnable runnable)

  Construct a daemon thread.

### Daemon

    public Daemon(ThreadGroup group,
                  Runnable runnable)

  Construct a daemon thread to be part of a specified thread group.

Method Detail

### getRunnable

    public Runnable getRunnable()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation